# Get scheduling data of a work order by uuid **GET /eTech/rest/ws/scheduling/v1/workOrders/uuid:{workOrderUuid}** Returns the scheduling data for a work order identified by its **uuid**, provided the work order status is **SCHEDULED or later**. Pair this endpoint with the `status.scheduled` webhook to react in near real-time when a work order is scheduled. Rate limit range : High ## Servers - The node of your Praxedo instance (eu1, am1...).: https://ws-eu1.praxedo.com (The node of your Praxedo instance (eu1, am1...).) ## Authentication methods - Bearer authentication ## Parameters ### Path parameters - **workOrderUuid** (string(uuid)) Uuid of the work order. ## Responses ### 200 OK – Scheduling data for the requested work order. #### Body: application/json (object) - **schedule** (object) Core scheduling block — time window and assigned field resources. - **customer** (object | null) Customer-facing scheduling information: geolocated intervention site and appointment details communicated to the customer. The entire object is null when no customer-facing data is available. Individual fields are also independently nullable. ### 400 Bad Request – The request is structurally invalid. For the `uuid:` variant, this is returned when the provided value is not a valid UUID format. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 401 Unauthorized - authentication issue. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 403 Forbidden - not enough rights. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 404 Not Found – Work order does not exist, or exists but is not yet scheduled (status ≤ PRE-SCHEDULED). #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 429 Too Many Requests. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 500 Internal server error. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. [Powered by Bump.sh](https://bump.sh)